/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VprecioProgramaF;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface VprecioProgramaFFacadeLocal {

    void create(VprecioProgramaF vprecioProgramaF);

    void edit(VprecioProgramaF vprecioProgramaF);

    void remove(VprecioProgramaF vprecioProgramaF);

    VprecioProgramaF find(Object id);

    List<VprecioProgramaF> findAll();

    List<VprecioProgramaF> findRange(int[] range);

    int count();

    List<VprecioProgramaF> obtenerProductoPorCodigo(String productoCodigo, String programaCodigo);

    List<VprecioProgramaF> obtenerProductoLikeNombrePedido(String nombreProducto, String programaCodigo);

    List<VprecioProgramaF> obtenerProductoLikeNombre(String nombreProducto, String programaCodigo);

    VprecioProgramaF obtenerProductoCodigo(String productoCodigo, String programaCodigo);

    List<VprecioProgramaF> ProductoParaFacturta(String productoCodigo, String tipoIngreso, String programaCodigo);

    VprecioProgramaF obtenerProductoCodigoAndOferta(String productoCodigo, String programaCodigo, String ofertaCodigo);

    List<VprecioProgramaF> obtenerProductoPorCodigoPedido(String productoCodigo, String programaCodigo);

    VprecioProgramaF obtenerProductoPrm(String productoCodigo);

    List<VprecioProgramaF> OfertaParaFacturta(String productoCodigo, String programaCodigo);
}
